Bug 598323 - Yumex fails if rhn-plugin is installed
Yumex fails if rhn-plugin is installed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-rhn-plugin (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: space11
  Show dependency treegraph
 
Reported: 2010-06-01 01:30 EDT by Tim McConnell
Modified: 2010-06-14 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 11:16:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of rhnplugin as displayed by Yumex (82.37 KB, image/png)
2010-06-07 14:00 EDT, Tim McConnell
no flags Details
repos viewed by Yumex (69.28 KB, image/png)
2010-06-07 14:00 EDT, Tim McConnell
no flags Details
fix yum-rhn-plugin issue, with a blank OptionParser object from yum (514 bytes, patch)
2010-06-09 10:47 EDT, Tim Lauridsen
no flags Details | Diff

  None (edit)
Description Tim McConnell 2010-06-01 01:30:35 EDT
Description of problem: Yumex reports backend not running as expected and closes


Version-Release number of selected component (if applicable):


How reproducible: Launch Yumex and enter root password get message 


Steps to Reproduce:
1. Launch Yum Extender 
2. enter root password 
3. Get failure message 
  
Actual results:
Yumex fails to launch 

Expected results: to be able to use yumex 


Additional info: Ran yumex -d from cli got this: 
yumex -d
running
Current Settings
    autorefresh: True
    branding_title: 'Yum Extender NextGen'
    color_install: 'darkgreen'
    color_normal: 'black'
    color_obsolete: 'blue'
    color_update: 'red'
    debug: True
    disable_netcheck: False
    disable_repo_page: False
    history_limit: 15
    plugins: True
    proxy: ''
    recentdays: 14
    repo_exclude: ['debug', 'source']
    win_height: 600
    win_sep: 300
    win_width: 1000
    yumdebuglevel: 2
/usr/lib/python2.6/site-packages/guihelpers/__init__.py:199: GtkWarning: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead
  self.add_from_file(filename)
eth0 (e100) is connected
/usr/lib/python2.6/site-packages/yumexgui/gui.py:178: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltip = gtk.Tooltips()
/usr/lib/python2.6/site-packages/yumexgui/gui.py:205: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltip.set_tip(button, tooltip)
eth0 (e100) is connected
Connected to an network
DEBUG: Getting package lists - BEGIN
eth0 (e100) is connected
Starting yum child process
DEBUG: Initialize yum backend - BEGIN
DEBUG: Using yum debuglevel = 2
YUM: Loaded plugins: auto-update-debuginfo, presto, remove-with-leaves, rhnplugin,
YUM: Traceback (most recent call last):
YUM:   File "/usr/share/yumex/yumex-yum-backend", line 61, in <module>
YUM:     my = YumServer(debuglevel, plugins, offline, repos)
YUM:   File "/usr/lib/python2.6/site-packages/yumexbackend/yum_server.py", line 202, in __init__
YUM:     self.doLock()
YUM:   File "/usr/lib/python2.6/site-packages/yumexbackend/yum_server.py", line 271, in doLock
YUM:     yum.YumBase.doLock(self)
YUM:   File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1377, in doLock
YUM:     if self.conf.uid != 0:
YUM:   File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 778, in <lambda>
YUM:     conf = property(fget=lambda self: self._getConfig(),
YUM:   File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 310, in _getConfig
ERROR: Fatal Error : backend-not-running
ERROR: backend not running as expected (yumex will close)
DEBUG: Quiting the program !!!
yum backend process is ended
DEBUG: Backend reset completted
Program Terminated
Comment 1 Tim McConnell 2010-06-01 01:33:14 EDT
If additional information is needed please give instructions on how to get, where to get it,and what is needed. Thanks
Comment 2 Tim Lauridsen 2010-06-01 11:18:20 EDT
Why are you running the rhnplugin, it don't do you much good in fedora, it is for RHEL. Please disable it and try again.

Dont yum work at the command line (Try 'yum list updates' as root)
Comment 3 Tim McConnell 2010-06-01 12:03:49 EDT
(In reply to comment #2)
> Why are you running the rhnplugin, it don't do you much good in fedora, it is
> for RHEL. Please disable it and try again.
ok if I run 'yum --disableplugin= rhnplugin' without the quotes and as root it doesn't get disabled.

> Dont yum work at the command line (Try 'yum list updates' as root)    

yum does work from cli. I ran yum upgrade before I posted this bug and it did that. I can run software updater (PackageKit, PUP, or Pirut... What ever it's called in F12) without errors also.
Comment 4 Tim Lauridsen 2010-06-06 06:21:56 EDT
could you please try running 'yumex -d --debuglevel=9'
Comment 5 Tim McConnell 2010-06-06 12:38:50 EDT
(In reply to comment #4)
> could you please try running 'yumex -d --debuglevel=9'    

I just removed the RHN plugin and Yumex is working again. This can be closed. 
If you want to find why it is killing Yumex with the RHN plugin just install the plugin and try launching Yumex.
Comment 6 Tim Lauridsen 2010-06-07 11:58:00 EDT
where have you got the RHN plugin from ?, it is not part of fedora, but part of RHEL.
Comment 7 Tim McConnell 2010-06-07 14:00:09 EDT
Created attachment 421902 [details]
Screen shot of rhnplugin as displayed by Yumex
Comment 8 Tim McConnell 2010-06-07 14:00:47 EDT
Created attachment 421903 [details]
repos viewed by Yumex
Comment 9 Tim McConnell 2010-06-07 14:11:06 EDT
(In reply to comment #6)
> where have you got the RHN plugin from ?, it is not part of fedora, but part of
> RHEL.    

I have attached screen shots of what yumex tells me I have for repos and where yumex shows the repo from. If you need me to run a command to help find the actual way I got the rhnplugin as an available package or something let me know.
Comment 10 Tim Lauridsen 2010-06-08 12:24:50 EDT
ok, I see, there is a rhn-plugin in fedora, to use against custom RHN server.
I will check it out to see why it fails with yumex
Comment 11 Tim Lauridsen 2010-06-09 10:47:33 EDT
Created attachment 422579 [details]
fix yum-rhn-plugin issue, with a blank OptionParser object from yum
Comment 12 Tim Lauridsen 2010-06-09 10:48:51 EDT
I have added a proposed to the rnh-plugin, to not blow up running with a yum api user like yumex.
Comment 13 Miroslav Suchý 2010-06-14 10:49:04 EDT
Fixed in spacewalk.git in commit f3fbab86131955dfc5fc162aed47c8da474f0e5c
Comment 14 Miroslav Suchý 2010-06-14 11:16:22 EDT
Fixed in yum-rhn-plugin-1.1.3-1.fc14
Comment 15 Tim Lauridsen 2010-06-14 11:43:43 EDT
Thanks !

Note You need to log in before you can comment on or make changes to this bug.